%START TEXT COMMAND COMARG

%{  
  #include <math.h>
  #include <stdio.h>


  #define Dlex(T) {fprintf(stderr,"(DEBUG MESSAGE from lex:");fprintf(stderr,(T));fprintf(stderr,". yytext='%s')\n",yytext);};
//<COMARG>.+\n {BEGIN 0;printf("COMARG: cb!%s!",yytext);};
//<COMARG>[ \t]+ {Dlex("--")BEGIN 0;};
%}

%% 
^[^"."\n] {yymore();
           BEGIN TEXT;};
^"." {BEGIN COMMAND;};

^\n {return (EMPTYSTR);};
^[^"."\n]$ {return (TEXTSTR);};
<TEXT>.+ {BEGIN 0;
          return (TEXTSTR);};

<COMMAND>br[ \t]* {BEGIN COMARG;
                   return (BREAKLINE);};
<COMMAND>sp[ \t]* {BEGIN COMARG;
                   return (SPACE);};
<COMMAND>bd[ \t]* {BEGIN COMARG;
                   return (BOLD);};
<COMMAND>ul[ \t]* {BEGIN COMARG;
                   return (UNDERLINE);};
<COMMAND>cu[ \t]* {BEGIN COMARG;
                   return (SUNDERLINE);};
<COMMAND>ce[ \t]* {BEGIN COMARG;
                   return (SCENTER);};
<COMMAND>ft[ \t]+ {BEGIN COMARG;
                   return (FONT);};
<COMMAND>ps[ \t]+ {BEGIN COMARG;
                   return (SIZE);};
<COMMAND>ad[ \t]+ {BEGIN COMARG;
                   return (ADJUST);};
<COMMAND>na[ \t]* {BEGIN COMARG;
                   return (NOADJUST);};
<COMMAND>fi[ \t]* {BEGIN COMARG;
                   return (FILL);};
<COMMAND>nf[ \t]* {BEGIN COMARG;
                   return (NOFILL);};
<COMMAND>ls[ \t]+ {BEGIN COMARG;
                   return (LINESPACE);};
<COMMAND>ll[ \t]+ {BEGIN COMARG;
                   return (LINELENGHT);};
<COMMAND>in[ \t]+ {BEGIN COMARG;
                   return (IN);};
<COMMAND>ti[ \t]+ {BEGIN COMARG;
                   return (TIN);};
<COMMAND>ex[ \t].* {BEGIN COMARG;
                    return (EXIT);};
<COMMAND>[A-Za-z]{1,2}[ \t]* {BEGIN COMARG;
                              return (UNKNOW);};
<COMARG>[ \t]*$ {BEGIN 0;};
<COMARG>[0-9]+ {BEGIN 0;
                return (DARG);};
<COMARG>[A-Za-z] {BEGIN 0;
                  return (CARG);};
<COMARG>[A-Za-z][^ \t\n]+ {BEGIN 0;
                           return (SARG);};

%% 
